=== debian/changelog ===
vdr-plugin-softhddevice (0.6.0+git20150324-2) unstable; urgency=medium

  * Prepared upload (Closes: #800405)
  * Switched to machine readable copyright
  * Replaced build dependency to transitonal libav*-ffmpeg-dev packages
    with libav*-dev

 -- Tobias Grimm <etobi@debian.org>  Wed, 30 Sep 2015 00:07:51 +0200

vdr-plugin-softhddevice (0.6.0+git20150324-1) unstable; urgency=medium

  * New Upstream Snapshot (commit a1939eb)

 -- Tobias Grimm <etobi@debian.org>  Tue, 24 Mar 2015 19:42:19 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-4) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:21:30 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-3) unstable; urgency=medium

  * Switched to using ffmpeg (libav*-ffmpeg) because of the non-working VDPAU
    with libav

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 Feb 2015 23:23:55 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:56 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 1d06c5b)
  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 21:31:30 +0100

vdr-plugin-softhddevice (0.6.0+git20141124-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.9)

 -- Tobias Grimm <etobi@debian.org>  Tue, 10 Feb 2015 19:15:04 +0100

vdr-plugin-softhddevice (0.6.0+git20141124-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 9f134c1)

 -- Tobias Grimm <etobi@debian.org>  Tue, 25 Nov 2014 00:42:48 +0100

vdr-plugin-softhddevice (0.6.0+git20140727-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 4a4de36)
  * Build-depend on libavresample-dev

 -- Tobias Grimm <etobi@debian.org>  Sun, 27 Jul 2014 22:46:47 +0200

vdr-plugin-softhddevice (0.6.0+git20130909-1) unstable; urgency=low

  * New Upstream Snapshot (commit a13c25d)

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Sep 2013 21:26:13 +0200

vdr-plugin-softhddevice (0.6.0-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 13:59:17 +0200

vdr-plugin-softhddevice (0.6.0-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:52:26 +0100

vdr-plugin-softhddevice (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Mar 2013 22:47:56 +0100

vdr-plugin-softhddevice (0.6.0~rc3-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Mar 2013 18:28:59 +0100

vdr-plugin-softhddevice (0.6.0~rc3-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Build-depend on vdr-dev (>= 1.7.40)
  * Standards-Version: 3.9.4

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Mar 2013 18:28:16 +0100

vdr-plugin-softhddevice (0.5.1+git20120715-1) unstable; urgency=low

  * New Upstream Snapshot (commit 15583a7)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Jul 2012 11:15:03 +0200

vdr-plugin-softhddevice (0.5.1-1) unstable; urgency=low

  * Initial release

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Jul 2012 20:13:49 +0200
