=== debian/changelog ===
vdr-plugin-softhddevice (0.6.0+git20160108-2build1) bionic; urgency=medium

  * No-change rebuild agaisnt latest libva

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Nov 2017 19:34:14 -0400

vdr-plugin-softhddevice (0.6.0+git20160108-2) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * vdr-dev (>= 2.3.8)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Sep 2017 22:29:52 +0200

vdr-plugin-softhddevice (0.6.0+git20160108-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 6dfa88a)
  * Added ffmpeg 3 compatibility patch from Andreas Cadhalpun
    (Closes: #803867)
  * Standards version 3.9.7

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2016 17:09:39 +0200

vdr-plugin-softhddevice (0.6.0+git20151102-2) unstable; urgency=medium

  * Imported Upstream version 0.6.0+git20151102
  * Made package maintained by Debian VDR Team

 -- Tobias Grimm <etobi@debian.org>  Mon, 02 Nov 2015 21:59:39 +0100

vdr-plugin-softhddevice (0.6.0+git20151102-1) unstable; urgency=medium

  * New Upstream Snapshot (commit ee2311d)

 -- Tobias Grimm <etobi@debian.org>  Mon, 02 Nov 2015 21:56:39 +0100
