=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: vdr-plugin-softhddevice
 Section: video
 Priority: extra
-Maintainer: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config,
+Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.8), gettext, pkg-config,
  libasound2-dev,
  libx11-dev,
  libxcb1-dev,
@@ -25,7 +26,7 @@
  libavcodec-dev,
  libavutil-dev,
  libavresample-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://projects.vdr-developer.org/projects/plg-softhddevice
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-softhddevice.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-softhddevice.git
