=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
http://projects.vdr-developer.org/projects/plg-softhddevice/files .*/vdr-softhddevice-(.*)\.tgz
